/*
 * ImageCanvas.h
 *
 * (c) 2002 by Thorsten Scheuermann <tscheuermann@gmx.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#include <qwidget.h>

class Image;

class ImageCanvas : public QWidget
{
public:
  ImageCanvas(QWidget *parent = 0, const char *name = 0);
  virtual ~ImageCanvas();

  void setImage(Image *img);

protected:
  virtual void paintEvent(QPaintEvent *pe);
  virtual void keyPressEvent(QKeyEvent *ke);

  Image *theImage;
};
